Skip to content

Searches for check requests using predefined parameters

Request

Searches for check requests using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The check request that you would like to be saved.

business_unit_idstring(Business Unit)
datestring(Date)
idsArray of strings(Ids)

IDs to search

process_idstring(Process)
statusstring(Status)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/checkRequests/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "business_unit_id": "string",
    "date": "string",
    "ids": [
      "string"
    ],
    "process_id": "string",
    "status": "string"
  }'

Responses

The check request search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(CheckRequestSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }